Bug 961906 - RHEV upgrade 3.0-3.1 host error reason: no BIOS UUID
RHEV upgrade 3.0-3.1 host error reason: no BIOS UUID
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 13:24 EDT by Michael Everette
Modified: 2016-02-10 14:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 11:27:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Everette 2013-05-10 13:24:11 EDT
Description of problem:
Upgrade from 3.0 to 3.1 with RHEL host

the error stated:
During the upgrade process, RHEV Manager  will not be accessible.
All existing running virtual machines will continue but you will not be able to
start or stop any new virtual machines during the process.

Would you like to proceed? (yes|no): yes
Stopping ovirt-engine service...                         [ DONE ]
Stopping DB related services...                          [ DONE ]
Pre-upgrade validations...                               [ ERROR ]
Pre-upgade host UUID validation failed

Please move the following hosts to maintenance mode before upgrade:
   - Host example.com, reason: no BIOS UUID


Version-Release number of selected component (if applicable):3.0-3.1


How reproducible: very


Steps to Reproduce:
1. upgrade with host running
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2013-05-12 04:11:36 EDT
does the host has a BIOS UUID? we stopped being forgiving to these in 3.1.
there are work arounds if you can't fix the host firmware to have a BIOS UUID, but iirc, these are post upgrade.
Comment 2 Alon Bar-Lev 2013-05-12 04:14:34 EDT
execute on host:

# dmidecode -s system-uuid
Comment 3 Barak 2013-05-12 09:03:11 EDT
Alon,

IIUC - the host does not have a bios UUID and we prevent the upgrade on those cases.

IIRC the workaround should be remove the host from engine and than adding it again.

Am I missing something ?
Comment 4 Alon Bar-Lev 2013-05-12 09:09:19 EDT
(In reply to comment #3)
> Alon,
> 
> IIUC - the host does not have a bios UUID and we prevent the upgrade on
> those cases.
> 
> IIRC the workaround should be remove the host from engine and than adding it
> again.
> 
> Am I missing something ?

You put host in maintenance before upgrade, then after upgrade you reinstall it.

You do not require to remove/add it.
Comment 5 Michael Everette 2013-05-16 11:27:51 EDT
I ran dmidecode against the sosreport and found the system UUID as not settable.

System Information
        Manufacturer: HP
        Product Name: ProLiant BL460c G1
        Version: Not Specified
        Serial Number:                 
        UUID: Not Settable

I looked into this and found it to be something from HP's side. I found a way to get the system a UUID though.

Go into the HP Bios Advanced Option>Services Options. There you’ll find Serial Number and Product ID. Locate these number on your server case and set them. When the numbers are set the server should automaticaly generate UUID.

Customer confirmed it resolved their issue.

Note You need to log in before you can comment on or make changes to this bug.